#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.8
visibility:           public
id:                   hOpenPGP-2.9.8-5gn7JDIH1djKwjFmuukyCm
key:                  hOpenPGP-2.9.8-5gn7JDIH1djKwjFmuukyCm
license:              MIT
copyright:            2012-2022  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  0b951f6481a8516b8ba485d87701ebc7
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hOpenPGP-2.9.8
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hOpenPGP-2.9.8
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hopenpgp
hs-libraries:         HShOpenPGP-2.9.8-5gn7JDIH1djKwjFmuukyCm
depends:
    aeson-2.1.2.1-GnWfeeQpoVOBig4HoIDDG9
    asn1-encoding-0.9.6-DwUky2iBreIC6bbIXJDOoo
    attoparsec-0.14.4-10U3JVdOf0KJjxjEqAIrEh base-4.15.1.0
    base16-bytestring-1.0.2.0-StXPox1nBc3AK3ZKrNsOT
    bifunctors-5.5.15-I5jyXGb66LN9XKZznh8AgR binary-0.8.8.0
    binary-conduit-1.3.1-8E9nirx90z537o5wXmV2nD bytestring-0.10.12.1
    bz2-1.0.1.0-KaRzOAAHxSeGr4N6zzjDa0
    conduit-1.3.5-AXDb2yDC5RlAKxOQPcskVr
    conduit-extra-1.3.6-2W3qKFAC7rfAUheYMpAYAQ containers-0.6.4.1
    crypto-cipher-types-0.0.9-KWjc9vfsgOg2zA2BroK1gz
    cryptonite-0.30-1Wi7RzsXD9F726hUnvn5V
    errors-2.3.0-F4rUJSCR8jkHhnELGOml9T
    hashable-1.4.2.0-8EyZ5q0qf6V2oPuIX4Sz4t
    incremental-parser-0.5.0.5-KSsKH5dqrfDJdt9RV2aY2l
    ixset-typed-0.5.1.0-FP97zfThOQZ2uKH5UfYxkw
    lens-5.2.3-502TyVqGvxTATE4UHV9fln
    memory-0.17.0-Ba80JGdi30PBt5EgUiQ1Tu
    monad-loops-0.4.3-C4VZ1LczQKA9hVl8DS9fX
    nettle-0.3.0-LbmEnjElACaEeKkV4b48A9
    network-uri-2.6.4.2-D2bGZQuzSwYpWAxWMaWpm
    openpgp-asciiarmor-0.1.2-JR6fOCrsYnzDzVpnNLA1ym
    prettyprinter-1.7.1-1IylnyGZUUkK1Hq1ELoEBg
    resourcet-1.2.6-IO8KLP2vL2UJSDNavWxjMH
    split-0.2.3.5-58NRrbPYIB52Pq1P7ElPpn text-1.2.5.0 time-1.9.3
    time-locale-compat-0.1.1.5-1snbmhWP0619voIlJd9qOd
    transformers-0.5.6.2 unliftio-core-0.2.1.0-AJ3ipHGgln87h2Y2hfrpJj
    unordered-containers-0.2.19.1-4LWMSZiig8M6j2saT8CDNm
    zlib-0.6.3.0-3C5AWONmYlD8JwEWEozxXb

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

